# ACE_Object_Manager_Manager Class Reference

Ensure that the ACE_Object_Manager gets initialized at program startup, and destroyed at program termination. More...

List of all members.

## Public Member Functions

| ACE_Object_Manager_Manager (void)
| ~ACE_Object_Manager_Manager (void)

## Private Attributes

ACE_thread_t | saved_main_thread_id_
| Save the main thread ID, so that destruction can be suppressed.

## Detailed Description

Ensure that the ACE_Object_Manager gets initialized at program startup, and destroyed at program termination.

Without ACE_HAS_NONSTATIC_OBJECT_MANAGER, a static instance of this class is created. Therefore, it gets created before main () is called. And it gets destroyed after main () returns.

## Constructor & Destructor Documentation

ACE_Object_Manager_Manager::ACE_Object_Manager_Manager | ( | void |  | ) |

ACE_Object_Manager_Manager::~ACE_Object_Manager_Manager | ( | void |  | ) |

## Member Data Documentation

ACE_thread_t ACE_Object_Manager_Manager::saved_main_thread_id_`[private]`

| Save the main thread ID, so that destruction can be suppressed.

The documentation for this class was generated from the following file:

- Object_Manager.cpp